package cn.reghao.oss.api.iface;

import java.util.Set;

/**
 * @author reghao
 * @date 2023-06-02 10:06:21
 */
public interface PermissionService {
    void setDirPermission(String prefix, int scope);
    void getDirPermission(String prefix);
    void setVideoPermission(String videoFileId, int scope);
    void setAudioPermission(String audioFileId, int scope);
    void setImagesPermission(Set<String> imageFileIds, int scope);
}
